## openocd 0.0+r1147

=== ecosflash/Makefile ===
#####ECOSGPLCOPYRIGHTBEGIN####
## -------------------------------------------
## This file is part of eCos, the Embedded Configurable Operating System.
## Copyright (C) 2008 yvind Harboe
##
## eCos is free software; you can redistribute it and/or modify it under
## the terms of the GNU General Public License as published by the Free
## Software Foundation; either version 2 or (at your option) any later version.
##
## eCos is distributed in the hope that it will be useful, but WITHOUT ANY
## WARRANTY; without even the implied warranty of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
## for more details.
##
## You should have received a copy of the GNU General Public License along
## with eCos; if not, write to the Free Software Foundation, Inc.,
## 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
##
## As a special exception, if other files instantiate templates or use macros
## or inline functions from this file, or you compile this file and link it
## with other works to produce a work based on this file, this file does not
## by itself cause the resulting work to be covered by the GNU General Public
## License. However the source code for this file must still be made available
## in accordance with section (3) of the GNU General Public License.
##
## This exception does not invalidate any other reasons why a work based on
## this file might be covered by the GNU General Public License.
## -------------------------------------------
#####ECOSGPLCOPYRIGHTEND####

# Create OpenOCD eCos flash driver
# Syntax: make INSTALL_DIR=ecosinstalldir OUTPUT=outputname

include $(INSTALL_DIR)/include/pkgconf/ecos.mak

all:
	$(ECOS_COMMAND_PREFIX)gcc $(ECOS_GLOBAL_CFLAGS) $(ECOS_GLOBAL_LDFLAGS) -g -o debug_$(OUTPUT).elf -nostdlib  flash.S flash.c -Wl,--gc-sections -I$(INSTALL_DIR)/include -Wl,$(INSTALL_DIR)/lib/libtarget.a -Wl,-Map,flash.map   
	cp debug_$(OUTPUT).elf $(OUTPUT).elf
	$(ECOS_COMMAND_PREFIX)strip $(OUTPUT).elf
	echo Flash driver $(OUTPUT).elf

## openocd 0.0+r2403

=== src/jtag/rlink/Makefile ===
#***************************************************************************
#*   Copyright (C) 2008 Lou Deluxe                                         *
#*   lou.openocd012@fixit.nospammail.net                                   *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program; if not, write to the                         *
#*   Free Software Foundation, Inc.,                                       *
#*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
#***************************************************************************

TOP = ../../..
INTERFACE_NAME = rlink

PERL = perl
M4 = m4

TARGETDIR = ${TOP}/src/target
TOOLSDIR = ${TOP}/tools

MAKE_SPEED_TABLE = ${TOOLSDIR}/rlink_make_speed_table/rlink_make_speed_table
ST7_DTC_AS = ${TOOLSDIR}/st7_dtc_as/st7_dtc_as

OPENOCD = ${TOP}/src/openocd
OPENOCD_CONFIG = -s ${TARGETDIR}
OPENOCD_CONFIG += -f interface/rlink.cfg
OPENOCD_CONFIG += -f board/stm32f10x_128k_eval.cfg

PATCHFILE = /tmp/openocd_${INTERFACE_NAME}.diff.gz

# relative to ${TOP}
SVNADDFILES =
SVNADDFILES += src/target/interface/rlink.cfg
SVNADDFILES += src/jtag/${INTERFACE_NAME}.c
SVNADDFILES += src/jtag/${INTERFACE_NAME}

PRESCALERS = 64 11 8 2

DTCFILES =
DTCFILES += $(addsuffix _init.dtc, ${PRESCALERS})
DTCFILES += $(addsuffix _call.dtc, ${PRESCALERS})

default: rlink_speed_table.c clean

%_init.fsm: init.m4
	${M4} -P -DSHIFTER_PRESCALER=`echo "$@" | sed -e's/_.*//'` $< > $@

%_call.fsm: call.m4
	${M4} -P -DSHIFTER_PRESCALER=`echo "$@" | sed -e's/_.*//'` $< > $@

%.dtc: %.fsm
	${ST7_DTC_AS} -b -o $@ -i $< > /dev/null

rlink_speed_table.c: ${DTCFILES}
	${MAKE_SPEED_TABLE} ${PRESCALERS} > $@ || rm $@

clean:
	-rm *.dtc *.fsm

distclean: clean

test: default
	(cd ${TOP} && (rm src/jtag/${INTERFACE_NAME}.o; ${MAKE}))
	${OPENOCD} -d0 ${OPENOCD_CONFIG} -c init -c 'poll off'

## openocd 0.5.0

=== debian/changelog ===
openocd (0.5.0-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-5704: OpenOCD does not block attempts to use HTTP POST for
    sending data to localhost, which allows remote attackers to conduct
    cross-protocol scripting attacks, and consequently execute arbitrary
    commands, via a crafted web site.
  * Export CCACHE=none and add fix-ftbfs.patch to prevent a build failure in
    the jimtcl submodule.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jan 2018 13:27:35 +0100

openocd (0.5.0-1) unstable; urgency=low

  * New upstream release.
    + Drop all our patches, no need to touch autotools.
    + Use upstream changelog now shipped within tarball.
  * debian/watch: pointed to SF file depot.

 -- Luca Bruno <lucab@debian.org>  Tue, 09 Aug 2011 09:33:35 +0200

openocd (0.5.0~rc2-2) unstable; urgency=low

  * Acknowledge NMU, thanks Hector.
  * Fix FTBFS on non-linux ports (Closes: #633404).
  * Don't list STM Primer2 as a supported device (Closes: #633532). 
  * Update ChangeLog for this RC release.

 -- Luca Bruno <lucab@debian.org>  Thu, 21 Jul 2011 15:51:03 +0200

openocd (0.5.0~rc2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace linux architectures with linux-any (Closes: #617775)

 -- Hector Oron <zumbi@debian.org>  Mon, 11 Jul 2011 14:00:12 +0100

openocd (0.5.0~rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * Acknowledge previous NMUs, thanks Luk.
  * Added myself as uploader, with Uwe permission.

 -- Luca Bruno <lucab@debian.org>  Thu, 07 Jul 2011 09:54:00 +0200

openocd (0.4.0-1+nmu1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update lintian overrides so it does not get rejected.

 -- Luk Claes <luk@debian.org>  Thu, 30 Jun 2011 18:30:42 +0200

openocd (0.4.0-1+nmu1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files(Closes: #622431).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 15:02:19 +0200

openocd (0.4.0-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch to build ep93xx and at91rm9200 on armel (Closes: #597932).
  * Disable parport, gw16012 and amtjtagaccel drivers on GNU/HURD,
    rules snippet by Pino Toscano. 

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Sep 2010 20:26:48 +0200

openocd (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #564842).
    + Fixes udev rules warnings (Closes: #560141).
  * Rebuild to fix "segfault when interface not connected" (Closes: #568226).
  * Standards-Version: 3.8.4 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Thu, 04 Feb 2010 01:45:30 +0100

openocd (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #554598, #537740).
  * Add sh4 (instead of sh) to the list of architectures (Closes: #555553).
  * Standards-Version: 3.8.3 (no changes required).
  * debian/watch: Add file.
  * debian/docs: Updates, some files were removed, some added.

 -- Uwe Hermann <uwe@debian.org>  Wed, 25 Nov 2009 12:20:04 +0100

openocd (0.2.0+r2529-1) unstable; urgency=low

  * New upstream release (this corresponds to upstream 0.2.0 roughly).
    + The 'target library' is now in /usr/share/openocd/*.
  * NEWS and README contain useful info now, so ship them in the package.

 -- Uwe Hermann <uwe@debian.org>  Wed, 15 Jul 2009 21:27:39 +0200

openocd (0.0+r2403-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.2 (no changes required).
  * Add missing build-dependency 'texlive' (Closes: #533465).

 -- Uwe Hermann <uwe@debian.org>  Thu, 25 Jun 2009 18:02:44 +0200

openocd (0.0+r2172-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/20_fix_warnings.patch: Drop.
  * Upgrade autoconf build-dependecy to >= 2.60 as per upstream.
  * Add new upstream build-dependency on libtool.
  * Various docs have been removed, moved, and added. See
    /usr/share/doc/openocd for the current list of documentation
    files (apart from manpage and info page).
  * Add debian/openocd.doc-base and install docs in PDF and HTML format also.

 -- Uwe Hermann <uwe@debian.org>  Tue, 09 Jun 2009 15:32:53 +0200

openocd (0.0+r1606-1) unstable; urgency=low

  * New upstream release.
  * Use --disable-werror for now until all warnings have been fixed
    upstream (Closes: #526441, #527100).
  * Build-depend on automake (>= 1.6) as per upstream.

 -- Uwe Hermann <uwe@debian.org>  Tue, 05 May 2009 18:39:03 +0200

openocd (0.0+r1583-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.1 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Thu, 30 Apr 2009 22:00:57 +0200

openocd (0.0+r1409-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update description, including newly supported dongles.
  * debian/rules: Add --enable-arm-jtag-ew to support the Olimex
    ARM-JTAG-EW JTAG programmer.
  * debian/patches/10_fix_warnings.patch: Drop, merged upstream.
  * debian/openocd.udev: Drop, merged upstream.
  * Show openocd svn revision in --version output (Closes: #517296).
  * Don't ship the 'ecosflash' and 'testing' dirs for now, not too useful.

 -- Uwe Hermann <uwe@debian.org>  Wed, 11 Mar 2009 19:29:27 +0100

openocd (0.0+r1292-1) unstable; urgency=low

  * New upstream release.
    * debian/rules:
      + Add --enable-jlink, --enable-vsllink, --enable-rlink.
      + Use chrpath to strip newly introduced (upstream) RPATH.
  * debian/openocd.udev: Add file. Adds udev rules to allow the 'plugdev' group
    JTAG programmer access without having to become root (Closes: #508921).
    Currently there are rules for the programmers 'Olimex ARM-USB-OCD' and
    'USBprog with OpenOCD firmware' (untested, but should work).
  * debian/patches/10_fix_ep93xx.patch: Drop, similar patch merged upstream.
  * debian/patches/10_fix_warnings.patch: Add.
  * debian/docs: Add NEWTAPS.
  * debian/copyright: Add license of various new files.

 -- Uwe Hermann <uwe@debian.org>  Sun, 28 Dec 2008 15:02:52 +0100



=== debian/control ===
Source: openocd
Section: embedded
Priority: extra
Maintainer: Uwe Hermann <uwe@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
Standards-Version: 3.9.2
Homepage: http://openocd.berlios.de

Package: openocd
Architecture: linux-any hurd-i386 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open on-chip JTAG debug solution for ARM and MIPS systems
 OpenOCD is an on-chip debugging, in-system programming and boundary-scan
 testing tool for ARM and MIPS systems.
 .
 The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access
 on-chip debug functionality available on ARM based microcontrollers or
 system-on-chip solutions. For MIPS systems the EJTAG interface is supported.
 .
 User interaction is realized through a telnet command line interface,
 a gdb (the GNU debugger) remote protocol server, and a simplified RPC
 connection that can be used to interface with OpenOCD's Jim Tcl engine.
 .
 OpenOCD supports various different types of JTAG interfaces/programmers:
 .
   * Parallel port wigglers:
     * Macraigor Wiggler JTAG cable (and many clones)
     * Xilinx DLC5 JTAG parallel cable III (and many clones)
     * Amontec JTAG Accelerator
     * Gateworks GW16012 JTAG programmer
     * Wiggler 2 cable (basically a wiggler with an LED)
     * Wiggler with NTRST inverted
     * AMT Wiggler
     * Ka-Ro TRITON starterkit II JTAG cable
     * Lattice parallel port JTAG cable
     * ST FlashLINK programming cable
   * USB FT2232 based dongles:
     * USBJTAG
     * Amontec JTAGkey
     * Amontec JTAGkey-Tiny
     * OOCD-Link
     * eVerve Signalyzer
     * Luminary Micro Stellaris/LM3S811 Evaluation Board A
     * Olimex ARM-USB-OCD
     * TinCanTools Flyswatter
     * Turtelizer 2
     * Hitex STR9-comStick
     * Hitex STM32-PerformanceStick
     * Axiom AXM-0432 Link
     * Section5 ICEbear
   * USB JLINK based adapters:
     * Atmel SAMICE (only works with Atmel chips)
     * Segger J-Link
     * IAR J-Link
   * USB RLINK based adapters:
     * Raisonance RLink
     * STM32 Primer
   * USB other:
     * USBprog
     * ASIX PRESTO
     * Versaloon-Link
     * ARM-JTAG-EW
   * Standalone systems:
     * Zylin ZY1000
   * Other:
     * EP93xx based Linux machine
     * AT91RM9200
 .
 OpenOCD supports debugging on a number of different ARM/MIPS cores:
   * ARM7:
     * ARM7TDMI(-s)
     * ARM720t
   * ARM9:
     * ARM9TDMI
     * ARM920t
     * ARM922t
     * ARM926ej-s
     * ARM966e-s
   * ARM11
     * ARM1136
     * ARM1156
     * ARM1176
   * Intel XScale:
     * PXA25x
     * PXA26x
     * PXA27x
     * IXP42x
     * IXP45x
     * IXP46x
   * Cortex-M3
     * Luminary Stellaris LM3
     * ST STM32
   * MIPS m4k
   * Marvell Feroceon CPU core (as found in the Orion SoC family)
 .
 Flash programming/writing is supported for:
   * External CFI compatible flashes:
     * Intel and AMD/Spansion command set
   * Internal flashes:
     * LPC2000
     * AT91SAM7
     * STR7x
     * STR9x
     * LM3
     * STM32x
   * LPC3180 NAND flash

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
export CCACHE=none
## Complete autoreconf, only for our own git snapshot
#DEB_AUTO_UPDATE_AUTOCONF = 2.68
#DEB_AUTO_UPDATE_AUTOMAKE = 1.11
#DEB_AUTO_UPDATE_LIBTOOL = yes
#DEB_AUTO_UPDATE_ACLOCAL = 1.11

## Upstream ChangeLog generated via 'git log > ChangeLog'.
#DEB_INSTALL_CHANGELOGS_ALL := debian/ChangeLog

# Also build PDF and HTML documentation.
DEB_MAKE_BUILD_TARGET := all pdf html

# Don't strip/compress certain files.
DEB_STRIP_EXCLUDE := .elf .bin examples
DEB_COMPRESS_EXCLUDE := .elf .bin examples

# TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-maintainer-mode \
	--disable-werror \
	--enable-ft2232_libftdi \
	--enable-ep93xx \
	--enable-at91rm9200 \
	--enable-usbprog \
	--enable-presto_libftdi \
	--enable-jlink \
	--enable-vsllink \
	--enable-rlink \
	--enable-arm-jtag-ew \
	--enable-dummy \
	--enable-buspirate \
	--enable-ulink \
	--enable-presto_libftdi \
	--enable-usb_blaster_libftdi \
	--enable-ft2232_libftdi

configure_flags_parport := \
	--enable-parport \
	--enable-parport_ppdev

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
# Add --enable-gw16012 and --enable-amtjtagaccel only for Linux,
# as they're currently supported there only.
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 --enable-amtjtagaccel
endif
   
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
endif

### # We must first call ./bootstrap to generate the autotools stuff.
### post-patches:: debian/stamp-autothings-update
### debian/stamp-autothings-update:
### 	./bootstrap
### 	touch $@

post-patches::
	@### @# Make autotools scripts executable.
	@### chmod 755 depcomp install-sh missing configure
	@### chmod 755 config.guess config.sub doc/mdate-sh
	@# Copy udev rules file into debian/ so that dh_installudev finds it.
	cp contrib/openocd.udev debian/openocd.udev

binary-post-install/openocd::
	@# Don't ship openocd.udev in /usr/share, dh_installudev handles it.
	rm -f debian/openocd/usr/share/openocd/contrib/openocd.udev
	@# Strip the RPATH of the binary.
	chrpath -d debian/openocd/usr/bin/openocd
	@# Drop /usr/share/info/dir, it's generated at runtime.
	rm -f debian/openocd/usr/share/info/dir
	@# Drop .la files
	rm -f `find debian/openocd -name '*.la'`

clean::
	@### rm -f debian/stamp-autothings-update
	@# Clean copied udev file.
	rm -f debian/openocd.udev
	@### @# Delete generated files, we don't want them in the diff.
	@### rm -f config.guess aclocal.m4 config.h.in config.sub Makefile.in
	@### rm -f install-sh missing depcomp configure src/Makefile.in
	@### rm -f src/helper/Makefile.in src/pld/Makefile.in src/jtag/Makefile.in
	@### rm -f src/server/Makefile.in src/target/Makefile.in
	@### rm -f src/xsvf/Makefile.in src/flash/Makefile.in doc/mdate-sh
	@### rm -f doc/texinfo.tex doc/Makefile.in doc/version.texi
	@### rm -f doc/stamp-vti doc/openocd.info src/svf/Makefile.in
	@### rm -f ltmain.sh compile

# For /usr/share/cdbs/1/rules/utils.mk sanity check.
common-binary-post-install-arch:: list-missing

=== debian/watch ===
version=3

#OpenOCD release files at SourceForge (current)
http://sf.net/openocd/openocd-(.*)\.tar\.bz2

#OpenOCD release files at Berlios (seldomly used)
#opts=downloadurlmangle=s/prdownload/download/ \
#  http://developer.berlios.de/project/showfiles.php?group_id=4148 \
#  http://prdownload.berlios.de/openocd/openocd-(.*)\.tar\.bz2

## openocd 0.6.1

=== debian/changelog ===
openocd (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #644015).
    - Use configure options: --enable-ftdi, --enable-stlink, --enable-osbdm,
      --enable-opendous, --enable-remote-bitbang
  * Standards-Version: 3.9.4 (no changes required).
  * Use http://openocd.sourceforge.net/ as new upstream homepage.

 -- Uwe Hermann <uwe@debian.org>  Tue, 04 Dec 2012 23:54:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
-Standards-Version: 3.9.2
-Homepage: http://openocd.berlios.de
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, libusb-1.0-0-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
+Standards-Version: 3.9.4
+Homepage: http://openocd.sourceforge.net/
 
 Package: openocd
 Architecture: linux-any hurd-i386 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
-export CCACHE=none
+
 ## Complete autoreconf, only for our own git snapshot
 #DEB_AUTO_UPDATE_AUTOCONF = 2.68
 #DEB_AUTO_UPDATE_AUTOMAKE = 1.11
@@ -18,35 +18,39 @@
 DEB_MAKE_BUILD_TARGET := all pdf html
 
 # Don't strip/compress certain files.
-DEB_STRIP_EXCLUDE := .elf .bin examples
-DEB_COMPRESS_EXCLUDE := .elf .bin examples
+DEB_STRIP_EXCLUDE := .elf .bin
+DEB_COMPRESS_EXCLUDE := .elf .bin
 
 # TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-maintainer-mode \
 	--disable-werror \
+	\
+	--enable-dummy \
 	--enable-ft2232_libftdi \
+	--enable-ftdi \
+	--enable-usb_blaster_libftdi \
 	--enable-ep93xx \
 	--enable-at91rm9200 \
+	--enable-presto_libftdi \
 	--enable-usbprog \
-	--enable-presto_libftdi \
 	--enable-jlink \
 	--enable-vsllink \
 	--enable-rlink \
+	--enable-ulink \
 	--enable-arm-jtag-ew \
-	--enable-dummy \
 	--enable-buspirate \
-	--enable-ulink \
-	--enable-presto_libftdi \
-	--enable-usb_blaster_libftdi \
-	--enable-ft2232_libftdi
+	--enable-stlink \
+	--enable-osbdm \
+	--enable-opendous \
+	--enable-remote-bitbang
 
 configure_flags_parport := \
 	--enable-parport \
 	--enable-parport_ppdev
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
+# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
 # Add --enable-gw16012 and --enable-amtjtagaccel only for Linux,
 # as they're currently supported there only.
@@ -54,7 +58,7 @@
 endif
    
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
+# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
 endif
 
@@ -70,6 +74,10 @@
 	@### chmod 755 config.guess config.sub doc/mdate-sh
 	@# Copy udev rules file into debian/ so that dh_installudev finds it.
 	cp contrib/openocd.udev debian/openocd.udev
+
+binary-install/openocd::
+	# Install the loaders/ subdir in /usr/share/doc.
+	cp -r contrib/loaders debian/openocd/usr/share/doc/openocd
 
 binary-post-install/openocd::
 	@# Don't ship openocd.udev in /usr/share, dh_installudev handles it.

## openocd 0.7.0

=== jimtcl/examples.api/Makefile ===
CFLAGS+= -Wall -g
CFLAGS+= -I..
LDLIBS += -L.. -ljim

EXAMPLES=		\
	jim_command	\
	jim_hello	\
	jim_list	\
	jim_obj		\
	jim_return

all: $(EXAMPLES)

clean:
	rm -rf $(EXAMPLES)
	rm -rf *.core

=== src/jtag/drivers/OpenULINK/Makefile ===
############################################################################
#    Copyright (C) 2011 by Martin Schmoelzer                               #
#    <martin.schmoelzer@student.tuwien.ac.at>                              #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

# Define the name of our tools. Some distributions (e. g. Fedora) prefix
# the SDCC executables, change this accordingly!
PREFIX =

# Small Device C Compiler: http://sdcc.sourceforge.net/
CC = $(PREFIX)-sdcc

# 8051 assembler, part of the SDCC software package.
AS = $(PREFIX)-sdas8051

# SDCC produces quite messy Intel HEX files. This tool is be used to re-format
# those files. It is not required for the firmware download functionality in
# the OpenOCD driver, but the resulting file is smaller.
PACKIHX = $(PREFIX)-packihx

# GNU binutils size. Used to print the size of the IHX file generated by SDCC.
SIZE = size

# Source and header directories.
SRC_DIR     = src
INCLUDE_DIR = include

CODE_SIZE = 0x1B00

# Starting address of __xdata variables. Since the OpenULINK firmware does not
# use any of the isochronous interrupts, we can use the isochronous buffer space
# as XDATA memory.
XRAM_LOC  = 0x2000
XRAM_SIZE = 0x0800

CFLAGS  = --std-sdcc99 --opt-code-size --model-small
LDFLAGS = --code-loc 0x0000 --code-size $(CODE_SIZE) --xram-loc $(XRAM_LOC) \
          --xram-size $(XRAM_SIZE) --iram-size 256 --model-small

# list of base object files
OBJECTS = main.rel usb.rel protocol.rel jtag.rel delay.rel USBJmpTb.rel
HEADERS = $(INCLUDE_DIR)/main.h         \
          $(INCLUDE_DIR)/usb.h          \
          $(INCLUDE_DIR)/protocol.h     \
          $(INCLUDE_DIR)/jtag.h         \
          $(INCLUDE_DIR)/delay.h        \
          $(INCLUDE_DIR)/reg_ezusb.h    \
          $(INCLUDE_DIR)/io.h           \
          $(INCLUDE_DIR)/msgtypes.h

# Disable all built-in rules.
.SUFFIXES:

# Targets which are executed even when identically named file is present.
.PHONY: all, clean

all: ulink_firmware.ihx
	$(SIZE) ulink_firmware.ihx

ulink_firmware.ihx: $(OBJECTS)
	$(CC) -mmcs51 $(LDFLAGS) -o $@ $^

# Rebuild every C module (there are only 5 of them) if any header changes.
%.rel: $(SRC_DIR)/%.c $(HEADERS)
	$(CC) -c $(CFLAGS) -mmcs51 -I$(INCLUDE_DIR) -o $@ $<

%.rel: $(SRC_DIR)/%.a51
	$(AS) -lsgo $@ $<

clean:
	rm -f *.asm *.lst *.rel *.rst *.sym *.ihx *.lnk *.map *.mem

hex: ulink_firmware.ihx
	$(PACKIHX) ulink_firmware.ihx > ulink_firmware.hex

=== debian/changelog ===
openocd (0.7.0-2) unstable; urgency=low

  * Only build on linux-any targets needing libusb-1.0-0

 -- Luca Bruno <lucab@debian.org>  Sun, 04 Aug 2013 11:25:52 +0200

openocd (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Wed, 15 May 2013 12:18:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, libusb-1.0-0-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, libusb-1.0-0-dev [linux-any], chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
 Standards-Version: 3.9.4
 Homepage: http://openocd.sourceforge.net/
 
 Package: openocd
-Architecture: linux-any hurd-i386 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Open on-chip JTAG debug solution for ARM and MIPS systems
  OpenOCD is an on-chip debugging, in-system programming and boundary-scan

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	\
 	--enable-dummy \
 	--enable-ft2232_libftdi \
-	--enable-ftdi \
 	--enable-usb_blaster_libftdi \
 	--enable-ep93xx \
 	--enable-at91rm9200 \
@@ -40,7 +39,6 @@
 	--enable-ulink \
 	--enable-arm-jtag-ew \
 	--enable-buspirate \
-	--enable-stlink \
 	--enable-osbdm \
 	--enable-opendous \
 	--enable-remote-bitbang
@@ -50,11 +48,14 @@
 	--enable-parport_ppdev
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
+# Some adapters are only supported on Linux.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
-# Add --enable-gw16012 and --enable-amtjtagaccel only for Linux,
-# as they're currently supported there only.
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 --enable-amtjtagaccel
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 \
+			     --enable-amtjtagaccel \
+			     --enable-ftdi \
+			     --enable-stlink \
+			     --enable-ti-icdi \
+			     $(configure_flags_parport)
 endif
    
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)

=== debian/watch ===
version=3
http://sf.net/openocd/openocd-(.*)\.tar\.bz2

## openocd 0.8.0

=== debian/changelog ===
openocd (0.8.0-4+deb7u1) jessie-security; urgency=high

  * Pull "bindto" command from upstream
  * Bind to localhost by default
  * Prevent some forms of Cross Protocol Scripting attacks (CVE-2018-5704)
    (Closes: #887488)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 21 Jan 2018 18:50:16 +0000

openocd (0.8.0-4) unstable; urgency=medium

  * Enable usb_blaster_libftdi on linux
  * Build-dep on libusb2-dev on kfreebsd
    (Closes: #754678)

 -- Luca Bruno <lucab@debian.org>  Mon, 20 Oct 2014 22:11:28 +0200

openocd (0.8.0-3) unstable; urgency=high

  * Require libusb-dev from freebsd-libs 10 snapshot
    (Closes: #754678) 

 -- Luca Bruno <lucab@debian.org>  Sun, 19 Oct 2014 19:12:49 +0200

openocd (0.8.0-2) unstable; urgency=medium

  * tcl/board: fix all the remaining boards that were sourcing 
    ft2232 configs (Closes: #751372)

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 11:42:14 +0200

openocd (0.8.0-1) unstable; urgency=medium

  * New upstream stable release
    + Adjust build-dep for kfreebsd and hurd
    + Enable more GPIO-based adapters
  * Bumped Standards-Version
  * Updated watch file, thanks Bart Martens
  * Cleaned several unused legacy rules
  * Updated copyright entries

 -- Luca Bruno <lucab@debian.org>  Sat, 10 May 2014 19:14:51 +0200

openocd (0.8.0~rc1-1) unstable; urgency=medium

  * New upstream rc release
    + Added pkg-config build-dep
    + Now using libusb-1.0-0

 -- Luca Bruno <lucab@debian.org>  Sat, 05 Apr 2014 10:30:08 +0200

=== debian/control ===
Source: openocd
Section: embedded
Priority: extra
Maintainer: Uwe Hermann <uwe@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev [!kfreebsd-any], 
               libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.1~) [kfreebsd-any], libusb-dev [hurd-any], 
               texinfo, texlive, 
               autotools-dev, autoconf, automake1.11, libtool, 
               libhidapi-dev, pkg-config
Standards-Version: 3.9.5
Homepage: http://openocd.sourceforge.net/

Package: openocd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open on-chip JTAG debug solution for ARM and MIPS systems
 OpenOCD is an on-chip debugging, in-system programming and boundary-scan
 testing tool for ARM and MIPS systems.
 .
 The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access
 on-chip debug functionality available on ARM based microcontrollers or
 system-on-chip solutions. For MIPS systems the EJTAG interface is supported.
 .
 User interaction is realized through a telnet command line interface,
 a gdb (the GNU debugger) remote protocol server, and a simplified RPC
 connection that can be used to interface with OpenOCD's Jim Tcl engine.
 .
 OpenOCD supports many different types of JTAG interfaces/programmers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# Also build PDF and HTML documentation.
DEB_MAKE_BUILD_TARGET := all pdf html

# Don't strip/compress certain files.
DEB_STRIP_EXCLUDE := .elf .bin
DEB_COMPRESS_EXCLUDE := .elf .bin

# TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
DEB_CONFIGURE_EXTRA_FLAGS := \
	--disable-werror \
	\
	--enable-dummy \
	--enable-ep93xx \
	--enable-at91rm9200 \
	--enable-usbprog \
	--enable-jlink \
	--enable-vsllink \
	--enable-rlink \
	--enable-ulink \
	--enable-arm-jtag-ew \
	--enable-buspirate \
	--enable-osbdm \
	--enable-opendous \
	--enable-remote-bitbang \
        --enable-bcm2835gpio \


configure_flags_parport := \
	--enable-parport \
	--enable-parport_ppdev

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Some adapters are only supported on Linux.
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 \
			     --enable-amtjtagaccel \
			     --enable-ftdi \
			     --enable-stlink \
			     --enable-ti-icdi \
			     --enable-usb_blaster_libftdi \
			     $(configure_flags_parport)
endif
   
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport) \
			     --enable-ftdi \
			     --enable-stlink \
			     --enable-ti-icdi
endif

post-patches::
	@# Copy udev rules file into debian/ so that dh_installudev finds it.
	cp contrib/99-openocd.rules debian/openocd.udev

binary-install/openocd::
	# Install the loaders/ subdir in /usr/share/doc.
	cp -r contrib/loaders debian/openocd/usr/share/doc/openocd

binary-post-install/openocd::
	@# Don't ship openocd.udev in /usr/share, dh_installudev handles it.
	rm -f debian/openocd/usr/share/openocd/contrib/99-openocd.rules
	@# Drop /usr/share/info/dir, it's generated at runtime.
	rm -f debian/openocd/usr/share/info/dir
	@# Drop .la files
	rm -f `find debian/openocd -name '*.la'`

clean::
	@# Clean copied udev file.
	rm -f debian/openocd.udev

# For /usr/share/cdbs/1/rules/utils.mk sanity check.
common-binary-post-install-arch:: list-missing

## openocd 0.9.0

=== jimtcl/sqlite3/Makefile ===
# Builds the full sqlite3 extension for Jim Tcl with the sqlite3 amalgamation

all: sqlite3.so

SQLITE3_OPTS := -DSQLITE_OMIT_LOAD_EXTENSION=1 -DSQLITE_THREADSAFE=0 -DSQLITE_DEFAULT_FILE_FORMAT=4 \
	-DSQLITE_ENABLE_STAT3 -DSQLITE_ENABLE_LOCKING_STYLE=0 -DSQLITE_OMIT_INCRBLOB

sqlite3.so: jim-sqlite3.c sqlite3.c
	./build-ext -Wall -o $@ -I.. -L.. $(SQLITE3_OPTS) $(BUILDOPTS) $^

clean:
	rm -f *.o *.so

# Note that this will only work when not cross compiling
test: sqlite3.so
	../jimsh test-sqlite3.tcl

=== src/jtag/drivers/OpenULINK/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #    You should have received a copy of the GNU General Public License     #
 #    along with this program; if not, write to the                         #
 #    Free Software Foundation, Inc.,                                       #
-#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
+#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.           #
 ############################################################################
 
 # Define the name of our tools. Some distributions (e. g. Fedora) prefix
@@ -83,7 +83,7 @@
 	$(AS) -lsgo $@ $<
 
 clean:
-	rm -f *.asm *.lst *.rel *.rst *.sym *.ihx *.lnk *.map *.mem
+	rm -f *.asm *.lst *.rel *.rst *.sym *.ihx *.lk *.map *.mem
 
 hex: ulink_firmware.ihx
 	$(PACKIHX) ulink_firmware.ihx > ulink_firmware.hex

=== debian/changelog ===
openocd (0.9.0-1build1) wily; urgency=medium

  * No-change rebuild for libjim soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Sep 2015 12:37:04 +0200

openocd (0.9.0-1) unstable; urgency=medium

  * new upstream stable release
  * watch: check pgp signature on upstream tarballs
  * control: bumped policy version

 -- Luca Bruno <lucab@debian.org>  Tue, 19 May 2015 22:13:26 +0200

openocd (0.9.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Stop using embedded jimtcl, use packaged one instead
  * Packaging imported to git
    + Add gbp configuration for new repository
    + Add related Vcs-* tags

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Apr 2015 22:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,18 @@
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev [!kfreebsd-any], 
-               libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.1~) [kfreebsd-any], libusb-dev [hurd-any], 
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev,
+               libusb-1.0-0-dev [linux-any], libusb-dev [kfreebsd-any hurd-any],
                texinfo, texlive, 
-               autotools-dev, autoconf, automake1.11, libtool, 
-               libhidapi-dev, pkg-config
-Standards-Version: 3.9.5
+               autotools-dev, autoconf,
+               libhidapi-dev,
+               libjim-dev,
+               pkg-config,
+               dh-autoreconf
+Standards-Version: 3.9.6
 Homepage: http://openocd.sourceforge.net/
+Vcs-Browser: http://anonscm.debian.org/cgit/crosstoolchain/openocd.git
+Vcs-Git: git://anonscm.debian.org/crosstoolchain/openocd.git
 
 Package: openocd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 # Also build PDF and HTML documentation.
 DEB_MAKE_BUILD_TARGET := all pdf html
@@ -15,6 +16,7 @@
 # TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--disable-werror \
+	--disable-internal-jimtcl \
 	\
 	--enable-dummy \
 	--enable-ep93xx \
@@ -44,7 +46,6 @@
 			     --enable-ftdi \
 			     --enable-stlink \
 			     --enable-ti-icdi \
-			     --enable-usb_blaster_libftdi \
 			     $(configure_flags_parport)
 endif

## openocd 0.10.0

=== contrib/loaders/Makefile ===
.PHONY: arm clean-arm

all: arm

common_dirs = \
	checksum \
	erase_check \
	watchdog

ARM_CROSS_COMPILE ?= arm-none-eabi-

arm_dirs = \
	flash/fm4 \
	flash/kinetis_ke \
	flash/xmc1xxx \
	debug/xscale

arm:
	for d in $(common_dirs); do \
		$(MAKE) -C $$d arm; \
	done
	for d in $(arm_dirs); do \
		$(MAKE) -C $$d all CROSS_COMPILE=$(ARM_CROSS_COMPILE); \
	done

clean-arm:
	for d in $(arm_dirs); do \
		$(MAKE) -C $$d clean; \
	done

clean: clean-arm
	for d in $(common_dirs); do \
		$(MAKE) -C $$d clean; \
	done

=== contrib/loaders/erase_check/Makefile ===
BIN2C = ../../../src/helper/bin2char.sh

ARM_CROSS_COMPILE ?= arm-none-eabi-
ARM_AS      ?= $(ARM_CROSS_COMPILE)as
ARM_OBJCOPY ?= $(ARM_CROSS_COMPILE)objcopy

ARM_AFLAGS = -EL

arm: armv4_5_erase_check.inc armv7m_erase_check.inc armv7m_0_erase_check.inc

armv4_5_%.elf: armv4_5_%.s
	$(ARM_AS) $(ARM_AFLAGS) $< -o $@

armv4_5_%.bin: armv4_5_%.elf
	$(ARM_OBJCOPY) -Obinary $< $@

armv4_5_%.inc: armv4_5_%.bin
	$(BIN2C) < $< > $@

armv7m_%.elf: armv7m_%.s
	$(ARM_AS) $(ARM_AFLAGS) $< -o $@

armv7m_%.bin: armv7m_%.elf
	$(ARM_OBJCOPY) -Obinary $< $@

armv7m_%.inc: armv7m_%.bin
	$(BIN2C) < $< > $@

clean:
	-rm -f *.elf *.bin *.inc

=== contrib/loaders/watchdog/Makefile ===
BIN2C = ../../../src/helper/bin2char.sh

ARM_CROSS_COMPILE ?= arm-none-eabi-
ARM_AS      ?= $(ARM_CROSS_COMPILE)as
ARM_OBJCOPY ?= $(ARM_CROSS_COMPILE)objcopy

ARM_AFLAGS = -EL -mthumb

arm: armv7m_kinetis_wdog.inc

armv7m_%.elf: armv7m_%.s
	$(ARM_AS) $(ARM_AFLAGS) $< -o $@

armv7m_%.bin: armv7m_%.elf
	$(ARM_OBJCOPY) -Obinary $< $@

armv7m_%.inc: armv7m_%.bin
	$(BIN2C) < $< > $@

clean:
	-rm -f *.elf *.bin *.inc

=== debian/changelog ===
openocd (0.10.0-4) unstable; urgency=high

  * Bind to localhost by default
  * Prevent some forms of Cross Protocol Scripting attacks (CVE-2018-5704)
    (Closes: #887488)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 18 Jan 2018 19:19:47 +0000

openocd (0.10.0-3) unstable; urgency=medium

  * Fix udev rule installation (Closes: #880092)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 06 Nov 2017 21:03:53 +0000

openocd (0.10.0-2) unstable; urgency=medium

  * Re-enable jlink and add libjaylink-dev dependency.
  * Drop use of CDBS
    + Remove needless dep on autotools / dh-autoreconf.
  * Fix SheevaPlug configuration (Closes: #837989)
  * Fix OpenRD configuration (Closes: #793214)
  * Add a basic README.source (Closes: #851534)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Oct 2017 10:20:48 +0100

openocd (0.10.0-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * New upstream release
    * Includes jtagspi (Closes: #844748)
    * Fixes Intel flash with MIPS target (Closes: #849825)
    * Fixes flyswatter.cfg to use ftdi interface (Closes: #757748)
    * Avoids build date in release builds (Closes: #834316)
  * Disable jlink pending libjaylink package
  * Enable sysfsgpio driver (Closes: #859246)
  * Move to libftdi1-dev (Closes: #810387)
  * Remove duplicated autotools-dev build-dep (Closes: #853010)
  * Switch to libusb-1.0 on kFreeBSD (Closes: #820147)
  * Move maintenance to Debian Electronics Packaging Team
  * Add patch enabling SWD support for Bus Pirate (Closes: #795550)
  * Add explicit build-dep on libusb-0.1, which is still required for 3
    programmers supported by OpenOCD.
  * Bump debhelper compat level to 10.
  * Drop unused + deprecated DEB_STRIP_EXCLUDE / DEB_COMPRESS_EXCLUDE options.
  * Standards-Version: 4.0.1
    * Support nodoc in DEB_BUILD_OPTIONS
    * Switch priority to optional instead of extra

  [ Stefano Rivera ]
  * Clean up copyright file and move to DEP-8

 -- Jonathan McDowell <noodles@earth.li>  Fri, 18 Aug 2017 10:51:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: openocd
 Section: embedded
-Priority: extra
-Maintainer: Uwe Hermann <uwe@debian.org>
-Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev,
-               libusb-1.0-0-dev [linux-any], libusb-dev [kfreebsd-any hurd-any],
-               texinfo, texlive, 
-               autotools-dev, autoconf,
+Priority: optional
+Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
+Uploaders: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>= 10), libftdi1-dev,
+               libusb-1.0-0-dev, libusb-dev,
+               libjaylink-dev,
+               texinfo, texlive,
                libhidapi-dev,
                libjim-dev,
-               pkg-config,
-               dh-autoreconf
-Standards-Version: 3.9.6
+               pkg-config
+Standards-Version: 4.0.1
 Homepage: http://openocd.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/cgit/crosstoolchain/openocd.git
-Vcs-Git: git://anonscm.debian.org/crosstoolchain/openocd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/openocd.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/openocd.git
 
 Package: openocd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_BUILD_TARGET := all
# Also build PDF and HTML documentation if nodoc is not set
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	DEB_MAKE_BUILD_TARGET += pdf html
	DEB_CONFIGURE_EXTRA_FLAGS := \
		--enable-doxygen-pdf \
		--enable-doxygen-html
else
	DEB_CONFIGURE_EXTRA_FLAGS := \
		--disable-doxygen-pdf \
		--disable-doxygen-html
endif

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-werror \
	--disable-internal-jimtcl \
	--disable-internal-libjaylink \
	\
	--enable-dummy \
	--enable-ep93xx \
	--enable-at91rm9200 \
	--enable-usbprog \
	--enable-vsllink \
	--enable-rlink \
	--enable-ulink \
	--enable-arm-jtag-ew \
	--enable-buspirate \
	--enable-osbdm \
	--enable-opendous \
	--enable-remote-bitbang \
	--enable-bcm2835gpio \
	--enable-sysfsgpio \
	--enable-jlink \

configure_flags_parport := \
	--enable-parport \
	--enable-parport_ppdev

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Some adapters are only supported on Linux.
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 \
			     --enable-amtjtagaccel \
			     --enable-ftdi \
			     --enable-stlink \
			     --enable-ti-icdi \
			     $(configure_flags_parport)
endif
   
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport) \
			     --enable-ftdi \
			     --enable-stlink \
			     --enable-ti-icdi
endif

override_dh_auto_build:
	dh_auto_build -- $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

%:
	dh $@

## openocd 0.10.0+g20200819

=== debian/changelog ===
openocd (0.10.0+g20200819-1) unstable; urgency=medium

  * Upstream git snapshot: d46f28c2
  * Upload to unstable
  * Fixes FTBFS with GCC 10 (Closes: #957643)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 19 Aug 2020 07:24:12 +0100

openocd (0.10.0+g20200530-2~exp1) experimental; urgency=medium

  * Team upload
  * Enable jlink after newer version of libjaylink has been uploaded to
    experimental.
  * d/patches/0002-Remove-lines-causing-trouble-for-build-without-libja.patch:
    - Had to hack some lines to make it build without libjaylink in the tree.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 06 Jun 2020 21:35:16 +0200

openocd (0.10.0+g20200530-1) experimental; urgency=medium

  * Upstream git snapshot: d8ac0086
  * Remove no longer necessary patches:
    + buspirate-swd.patch (applied upstream)
    + fix-{sheeva,openrd}.patch (applied upstream)
    + bind-localhost-only.patch (applied upstream)
    + css-fix.patch (applied upstream)
  * Disable jlink (needs libjaylink 0.2)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 31 May 2020 09:58:10 +0100

openocd (0.10.0-6) unstable; urgency=medium

  * Fix USB ID capitalisation in AppStream information
  * Fix AppStream license in debian/copyright
  * Standards-Version: 4.4.0
    * Set Rules-Requires-Root: no

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2019 14:58:35 -0300

openocd (0.10.0-5) unstable; urgency=medium

  * Update VCS URLs to point to Salsa
  * Add AppStream information

 -- Jonathan McDowell <noodles@earth.li>  Fri, 08 Feb 2019 14:29:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>= 10), libftdi1-dev,
                libusb-1.0-0-dev, libusb-dev,
-               libjaylink-dev,
+               libjaylink-dev (>= 0.1.0+git20200606.2800726-1~exp1),
                texinfo, texlive,
                libhidapi-dev,
                libjim-dev,
                pkg-config
 Standards-Version: 4.0.1
 Homepage: http://openocd.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/openocd.git
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/openocd.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/openocd
+Vcs-Git: https://salsa.debian.org/electronics-team/openocd.git
+Rules-Requires-Root: no
 
 Package: openocd
 Architecture: any

## openocd 0.10.0+g20201014

=== debian/changelog ===
openocd (0.10.0+g20201014-1~bpo10+1~rpt2) buster; urgency=medium

  * Update rp2040 patch to 7c961195b91d921ccd5b71f178f9c4f53e7af921
  * Add picoprobe patch from 3a0005afcf14f47e23d1c9f20598f55dfe111e3d

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Jan 2021 16:28:04 +0000

openocd (0.10.0+g20201014-1~bpo10+1~rpt1) buster; urgency=medium

  * Add rp2040 patch

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 28 Oct 2020 21:01:17 +0000
